Revoke API key
curl --request DELETE \
--url https://api.gumnut.ai/api/api-keys/{key_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gumnut.ai/api/api-keys/{key_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gumnut.ai/api/api-keys/{key_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}api-keys
Revoke API key
Revokes an API key so it can no longer authenticate. The key remains visible as inactive.
DELETE
/
api
/
api-keys
/
{key_id}
Revoke API key
Authorizations
First-party Gumnut app session (Clerk session JWT). Only the Gumnut web and mobile apps can obtain one — API keys and OAuth tokens cannot manage credentials, so these operations are not callable with the credentials this API otherwise accepts.
Path Parameters
ID of the API key to revoke
Response
Successful Response
Empty acknowledgment returned when an operation succeeds.